# coding: utf-8
from models import Film
from django.shortcuts import render_to_response
from django.template import RequestContext

def film_list(request, prefix=None):
    search = request.GET.get('search')

    if prefix is not None:
        films = Film.objects.filter(name_czech__istartswith=prefix)
    elif search is not None:
        films = Film.objects.filter(name_czech__icontains=search)
    else:
        films = None

    letters = [chr(c) for c in range(ord('A'), ord('Z') + 1)]

    return render_to_response('film_list.html', locals(), context_instance=RequestContext(request))

from models import FORMAT_CHOICES 
from django.http import HttpResponseRedirect 

def film_detail(request, film_id):
    try:
        film = Film.objects.filter(id=film_id)[0]
    except IndexError:
        return HttpResponseRedirect('/nabidka/')

    film.format = FORMAT_CHOICES[film.format][1]

    return render_to_response('film_detail.html', {'film': film}, context_instance=RequestContext(request))

from forms import ContactForm
from django.core.mail import mail_managers

def contact(request, sent):
    if request.method == 'POST':
        form = ContactForm(request.POST)

        if form.is_valid():
            message = u'Uživatel vyplnil následující údaje:\n\n'

            for item in form.fields.keyOrder:
                if len(unicode(form.cleaned_data[item])) > 0:
                    message += form[item].label + u': ' + unicode(form.cleaned_data[item]) + u'\n'

            mail_managers('Nová zpráva z kontaktního formuláře', message)

            return HttpResponseRedirect('/kontakt/odeslano/')
    else:
        form = ContactForm()

    return render_to_response('contact.html', {'form': form, 'sent': sent}, context_instance=RequestContext(request))
